/**
 ** KSplash2k for KSplash/ML
 ** (An Example ThemeEngine)
 ** Copyright (c) 2002, Flaming Sword Productions
 ** All Rights Reserved
 **
 ** $Id: Theme2k.h,v 1.6 2002/06/11 16:16:01 brian Exp $
 **/
#ifndef		__THEME2K_H__
#define		__THEME2K_H__
#include	<qlabel.h>
#include	<qwidget.h>
#include	<kpixmap.h>
#include	<kdialogbase.h>
#include	"ThemeEngine.h"
#include	"RotWidget.h"

/**
 ** class Cfg2k: Present the user with a configuration dialog which
 ** knows how to adjust the settings for this Engine.
 **/
class		Cfg2k: public KDialogBase {
Q_OBJECT
public:
		Cfg2k( KConfig * );
};

/**
 ** class Theme2k: Show the user our slightly interactive 
 ** splash-screen.
 **/
class		ObjKsTheme;
class		Theme2k: public ThemeEngine {
Q_OBJECT
public:
		Theme2k( QWidget *, ObjKsTheme * );

inline const QString	name() { return( QString("KSplash2k") ); }
inline const KDialogBase *config( KConfig *kc ) { return new Cfg2k( kc ); }
static	QStringList	names() { 
	QStringList Names;
	Names << "KSplash2k";
	Names << "ks2k";
	Names << "2k";
	Names << "2000";
	Names << "Windows 2000";
	return( Names );
};

public slots:
inline	void		slotSetText( const QString& s ) 
	{ if( gText && gText->text() != s ) gText->setText( s ); };

/**
 ** If your theme uses an icon for anything, be sure to provide this
 ** slot.
 **/
//inline void		slotSetPixmap( const QPixmap& pix )
//	{ ... };

private:
	void		_initUi();
	QRect		_desktopGeometry();
	void		_readSettings();

	QLabel		*gText;

	RotWidget	*gRotator;

	QColor		oTBgColor, oTFgColor,
			oRotColor1, oRotColor2;
	int		oRotSpeed;
	QString		oWndTitle, oLogoFile;
};

#endif
